Plank.Docklet – plank Reference Manual

# Docklet

## Object Hierarchy:

## Description:

public interface Docklet : Object

The common interface for all docklets.

Namespace: Plank
Package: plank

## Content:

### Methods:

- public abstract unowned string get_id ()
- public abstract unowned string get_name ()
- public abstract unowned string get_description ()
- public abstract unowned string get_icon ()
- public abstract bool is_supported ()
- public abstract DockElement make_element (string launcher, File file)

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count